#import "CDVNativeSettings.h"
#import <Cordova/CDV.h>

@implementation CDVNativeSettings

- (void)openSettings:(CDVInvokedUrlCommand*)command {
    CDVPluginResult* pluginResult = nil;

   NSString* key = [command.arguments objectAtIndex:0];
   NSString* prefix = @"App-Prefs:";

   NSURL* url = "";

    if(SYSTEM_VERSION_LESS_THAN(@"10.0")){
        prefix = @"prefs:";
    }
    if (SYSTEM_VERSION_GREATER_THAN_OR_EQUAL_TO(@"11.0")) {
        prefix = @"app-settings:";
    }

    BOOL canOpenSettings = (&UIApplicationOpenSettingsURLString != NULL);
    if (canOpenSettings) {
       if ([key isEqualToString:@"account"]) {           
            url = [NSURL URLWithString:UIApplicationOpenSettingsURLString];
            [[UIApplication sharedApplication] openURL:url];
        }else if ([key isEqualToString:@"about"]) {
            if(SYSTEM_VERSION_LESS_THAN(@"10.0")){
                url = [NSURL URLWithString: @"App-Prefs:root=About"];
            }
            if (SYSTEM_VERSION_GREATER_THAN_OR_EQUAL_TO(@"11.0")) {
                url = [NSURL URLWithString: @"app-settings:root=About"];
            }
            [[UIApplication sharedApplication] openURL:url];
        }else if ([key isEqualToString:@"touchid"]) {
            if(SYSTEM_VERSION_LESS_THAN(@"10.0")){
                url = [NSURL URLWithString:@"App-Prefs:root=TOUCHID_PASSCODE"];
            }
            if (SYSTEM_VERSION_GREATER_THAN_OR_EQUAL_TO(@"11.0")) {
                url = [NSURL URLWithString:@"app-settings:root=TOUCHID_PASSCODE"];
            }
            [[UIApplication sharedApplication] openURL:url];
        }else if ([key isEqualToString:@"location"]) {
            if(SYSTEM_VERSION_LESS_THAN(@"10.0")){
                url = [NSURL URLWithString:@"App-Prefs:root=General&path=Restrictions"];
            }
            if (SYSTEM_VERSION_GREATER_THAN_OR_EQUAL_TO(@"11.0")) {
                url = [NSURL URLWithString:@"app-settings:root=General&path=Restrictions"];
            }
            [[UIApplication sharedApplication] openURL:url];
        }else if ([key isEqualToString:@"application_details"]) {            
            url = [NSURL URLWithString:UIApplicationOpenSettingsURLString];
            [[UIApplication sharedApplication] openURL:url];
        }else if ([key isEqualToString:@"wifi"]) {
            if(SYSTEM_VERSION_LESS_THAN(@"10.0")){
                url = [NSURL URLWithString:@"App-Prefs:root=WIFI"];
            }
            if (SYSTEM_VERSION_GREATER_THAN_OR_EQUAL_TO(@"11.0")) {
                url = [NSURL URLWithString:@"app-settings:root=WIFI"];
            }
            [[UIApplication sharedApplication] openURL:url];
        }
    }
    [self.commandDelegate sendPluginResult:pluginResult callbackId:command.callbackId];
}

@end